<?php 
use_helper('UrlFunctions'); 
use_helper('UtilFunctions'); 

$a_ArBanco = new ArBancoFN();
$a_ArBanco->setEliminado(-1);
$a_ArBancoFN = $a_ArBanco->select();

$a_ArCuenta = new ArCuentaFN();
$a_ArCuenta->setEliminado(-1);
$a_ArCuentaFN = $a_ArCuenta->select();


$o_ArArqueoDetalleDepositoFN = new ArArqueoDetalleDepositoFN();
$o_ArArqueoDetalleDepositoFN->setIdclase($idClase);
$o_ArArqueoDetalleDepositoFN->setIdsucursal($Idsucursal);
$o_ArArqueoDetalleDepositoFN->setIdmercado($Idmercado);
$o_ArArqueoDetalleDepositoFN->setIdcolaborador($Idcolaborador);
$o_ArArqueoDetalleDepositoFN->setFecha($fecha);
$o_ArArqueoDetalleDepositoFN->setIdcliente($Idcliente);
$o_ArArqueoDetalleDepositoFN->setIdprestamo($Idprestamo);
$a_o_ArArqueoDetalleDepositoBN = $o_ArArqueoDetalleDepositoFN->selectByPK();




?>

<script>

actualizarCuenta = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrlComplet('op.php/ajax/request')?>';
  var pars = 'type=getCuenta&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
    
}

runProcess = 
{
  returnSelectedAutocomplete: function(text, li)
  {
    var sCodigoItem = li.readAttribute('id').trim();
    var sNombreCompleto = li.readAttribute('name').trim();
    sCodigoItem = sCodigoItem.trim();
    sNombreCompleto = sNombreCompleto.trim();
	//alert(sCodigoItem);
	//alert(sNombreCompleto);
    $('CodigoItem').value = sCodigoItem;
    $('orderLine_itemNumber').value = sNombreCompleto;
    buscarDetallePrestamo(sCodigoItem);
    //buscarLoteSetxItemCod(sCodigoItem, 'gridPagos2_LoteSet', '');
  }
}

function hola(){
	alert('ok');
}
function cargandoImagenSerch(){
	disabledWin.setPathImage('/images/common/progress.gif');
	disabledWin.show(true,true,'resultGrtid');
}

function buscarDetallePrestamo(idCliente){
	url = "<?=buildUrl('arqueo/gridPrestamo', "block=".$block)?>";
	var pars = $('form1').serialize();
	var str = pars+'&idcliente='+idCliente;
	var myAjax  = new Ajax.Updater(
    	"resultGrtid",
    	url,
    	{
    		asynchronous:	true,
    		method			: 'get',
    		parameters	: str,
    		evalScripts	: true,
    		onLoading   : cargandoImagenSerch(),
    		onComplete	: function(){
    			//objMainTab.showMenu();
    		}
    	})
	
}
	
actualizaJSON = function(request, json){
	  var numeroElementos = json.length;
	  for (var i = 0; i < numeroElementos; i++){
	    if($(json[i][0])){
	  	  switch ($(json[i][0]).tagName){
	  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
	  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
	  	    case 'SELECT'  : 
	  	      var objDDL = $(json[i][0]);
	  	      if(typeof(cont) == 'undefined'){
	  	        var cont = 0;
	  	        objDDL.options.length = 1;
	  	      }
	  	      var a_contentValues = json[i][1].split("_;_");
	      	  var value	= a_contentValues[0];
	      	  var text	= a_contentValues[1];
	      	  var selct	= a_contentValues[2];
	      	  if( selct == 'selected'){
	      	  	alert('xxxxxxxxxxxxxxxxxxxxxx'+value);
	  	      	var option	= new Option(text,value,"defauldSelected");
	      	  }else{
	      	  	var option	= new Option(text,value);
	      	  }
	      		try{
	      			objDDL.add(option,null);
	      		}catch (e){
	      			objDDL.add(option,-1);
	      		}
	  	      cont++;
	  	    break;
	  	  }
	    }else{
	      if(json[i][0].indexOf("function") > -1){
	        eval("scriptEval = "+json[i][0]);
	        scriptEval();
	      }
	    }
	  }
	}
	
	function limpiarDatos(){
		$('resultGrtid').innerHTML='';
		$('CodigoItem').value='';
	}
	
</script>
<?php
//echo myUser::getUser()->getRoleId();
//error_reporting(E_ALL);
//ini_set('display_errors','On'); //PARA PRODUCCION "Off"



//if(is_array($a_ObjectBean)){
if(1){
  //while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
  	
  	
  	
	
?>
<table class="cuerpo" width="100%" border="0" cellpadding="0" cellspacing="0">
	
	<tr>
		<td valign="top">
			 <form id="form1" name="form1" method="POST">
				<input type="hidden" name="control" value="1">
				<input type="hidden" name="CodigoItem"  id="CodigoItem" value="">
			  
                        <?php
                        $s_Param = '';
                        if( isset( $id ) )
                        {
                            $s_Param = 'id='.$id;
                        }
                        ?>
			  
                        <table border="0" cellpadding="0" cellspacing="0" width="100%">
							<tr>
							  <td class="titleBody"><li>&nbsp;&nbsp;Mostrar Deposito</li></td>
							  <td align="right" valign="baseline">
							    
							  </td>
							</tr>
						</table>
			  
                        <table width="100%" cellspacing="2" cellpadding="2" border="0" class="marco">
                            <tr>
                                <td nowrap="nowrap">
                                    
                                        
                                    	<table width="100%">
                                    	
                                            <tr>
                                                <td >
    
                                                    <table width="100%" cellpadding="5" border="0" align="left">
                                                    	<tr>
                                                          <td align="left" width="10%"><label class="label">Banco</label></td>
                                                          <td align="left" id="">
                                                          	<label class="label"><?=$a_o_ArArqueoDetalleDepositoBN->getBanco()?></label>
                                                          </td>
                                                        </tr>
														<tr>
                                                          <td align="left" id=""><label class="label">#Cuenta</label></td>
                                                          <td align="left" id="">
                                                         <label class="label"><?=$a_o_ArArqueoDetalleDepositoBN->getNumeroCuenta()?></label></td>
                                                        </tr>	
                                                        <tr>
                                                          <td align="left" id=""><label class="label">Monto</label></td>
                                                          <td align="left" id=""><label class="label"><?php echo $a_o_ArArqueoDetalleDepositoBN->getSubtotal()?></label></td>
                                                        </tr>
                                                        <tr>
                                                          <td align="left" id=""><label class="label">F.Operacion</label></td>
                                                          <td align="left" id=""><label class="label"><?php echo $a_o_ArArqueoDetalleDepositoBN->getFechadeposito()?></label></td>
                                                        </tr>
                                                        <tr>
                                                          <td align="left" id=""><label class="label">Boucher</label></td>
                                                          <td align="left" id=""><label class="label"><?php echo $a_o_ArArqueoDetalleDepositoBN->getNumeroboucher()?></label></td>
                                                        </tr>
                                                        <tr>
                                                          <td align="left" id=""><label class="label">Cliente</label></td>
                                                          <td align="left" id=""><label class="label"><?php echo $a_o_ArArqueoDetalleDepositoBN->getNombrecliente()?></label>
                                                          
														</td>
                                                        </tr>
                                                      	<tr>
														    <td align="center" colspan="2">
																<input type="hidden" name="typeSubmit" id="typeSubmit">
																
																<input class="button" type="button" value="Cancelar" onclick=" parent.objMainTab.windowsCloseAll();"/>
														    </td>
														</tr>
                                                        
                                                    </table>
                                                        
                                                </td>
                                                
                                               
                                            </tr>
                                            
                                    	</table>
                                    	
                                    	               
                                    
									
                                	
                                </td>
                            </tr>
                        </table>
                        
                        
                        
                        
				
			</form>
				<script type="text/javascript">
					
					
					
					Validation.add('validate-MontoAmortizado', 'El monto es mayor al saldo.', function(v) {     
 
								  			 
					    var okdni = false;
					    var valorAcumulado = 0;
					    var f = $$('.montoSaldos');
					    var fm = $$('.montos');
						
					    
											    
						
						for(var i=0; i<f.length; i++){
							
							valorSaldo = parseFloat(f[i].value);
							
							valorMonto = parseFloat(fm[i].value);
							//alert('vs '+valorSaldo)
							//alert('vm '+valorMonto)
							if(valorMonto > valorSaldo){
								//alert('ok');
								//alert('Un pago no es valido para el saldo '+valorSaldo+' y pago '+valorMonto);
								return false;
							}
							
						    //console.log("En el índice " + indice + " hay este valor: " + valor);
						}
						
						
						
						return true;				 
					    
					});
					var valid = new Validation('form1', {immediate : false});
					
				</script>
		</td>
	</tr>
</table>


<?php
  //}
}
?>

